Subject: bug#37221: 27.0.50; gnus fails to open connection post-NSM update

From: Robert Pluim <[email-masked]>
Date: Wed, 04 Sep 2019 19:21:21 +0200

>>>>> On Wed, 04 Sep 2019 19:06:24 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >> Thanks for testing. Lars, I donʼt think nsm should be prompting for a
    >> never-seen-before unencrypted connection, only for a previously
    >> encrypted downgraded connection?

    Lars> That depends on the settings, I think?  In `paranoid' it probably
    Lars> should, and if it's an IMAP connection, it definitely should even on
    Lars> `medium'.

Even when the user has said '(nnimap-stream plain)'? Thatʼs a very
explicit request not to do STARTTLS.

    Lars> Or is taking care of not sending passwords over non-encrypted
    Lars> connections done somewhere else now?

Not that I know of.

Robert